# QPlainTextDocumentLayout Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPlainTextDocumentLayout(QTextDocument document)

### Constructor Properties

- prototype: The QPlainTextDocumentLayout prototype object

### Prototype Object Properties

- QRectF blockBoundingRect(QTextBlock block)
- QSizeF documentSize()
- void draw(QPainter arg__1, QAbstractTextDocumentLayout_PaintContext arg__2)
- void ensureBlockLayout(QTextBlock block)
- QRectF frameBoundingRect(QTextFrame arg__1)
- int hitTest(QPointF arg__1, HitTestAccuracy arg__2)
- int pageCount()
- void requestUpdate()

### Instance Properties

QPlainTextDocumentLayout objects inherit properties from the QPlainTextDocumentLayout prototype object and also have the following properties.

- cursorWidth